import { InternalAdapterAPI } from './InternalAdapterAPI';
import { InternalAdapter } from './InternalAdapter';
import { DrmPerformanceInfo } from '../../types/DrmPerformanceInfo';
import { PlayerAPI } from 'bitmovin-player';
import { DownloadSpeedInfo } from '../../types/DownloadSpeedInfo';
import { AnalyticsStateMachineOptions } from '../../types/AnalyticsStateMachineOptions';
import { Player } from '../../enums/Player';
import { PlaybackInfo } from '../../types/PlaybackInfo';
import { SegmentInfo } from '../../types/SegmentInfo';
import { AdModuleAPI } from './ads/AdModuleAPI';
export declare class Bitmovin8InternalAdapter extends InternalAdapter implements InternalAdapterAPI {
    private player;
    readonly drmPerformanceInfo: DrmPerformanceInfo;
    readonly downloadSpeedInfo: DownloadSpeedInfo;
    readonly segments: SegmentInfo[];
    readonly adModule: AdModuleAPI | undefined;
    readonly supportsDeferredLicenseLoading: boolean;
    private _drmPerformanceInfo;
    private onBeforeUnLoadEvent;
    private speedMeter;
    private segmentTracker;
    private _adModule?;
    constructor(player: PlayerAPI, opts?: AnalyticsStateMachineOptions);
    initialize(): void;
    clearValues(): void;
    clearSegments(): void;
    getPlayerVersion: () => string;
    getPlayerName: () => Player;
    getPlayerTech: () => import("bitmovin-player").PlayerType;
    getAutoPlay(): boolean;
    getCurrentPlaybackInfo(): PlaybackInfo;
    register(): void;
    sourceChange(config: any, timestamp: any): void;
    onError(): void;
}
