import { InternalAdapterAPI } from './InternalAdapterAPI';
import { HTML5InternalAdapter } from './HTML5InternalAdapter';
import { AnalyticsStateMachineOptions } from '../../types/AnalyticsStateMachineOptions';
import { QualityLevelInfo } from '../../types/QualityLevelInfo';
import { Player } from '../../enums/Player';
export declare class HTMLVideoElementInternalAdapter extends HTML5InternalAdapter implements InternalAdapterAPI {
    constructor(mediaElement: HTMLVideoElement, opts?: AnalyticsStateMachineOptions);
    getPlayerName: () => Player;
    getPlayerVersion: () => string;
    /**
     * @override
     */
    getStreamURL(): string | undefined;
    /**
     * Implemented by sub-class to deliver current quality-level info
     * specific to media-engine.
     * @override
     * @returns {QualityLevelInfo}
     */
    getCurrentQualityLevelInfo(): QualityLevelInfo | null;
}
