import { StateMachineCallbacks } from '../../types/StateMachineCallbacks';
import { PlaybackInfo } from '../../types/PlaybackInfo';
import { DrmPerformanceInfo } from '../../types/DrmPerformanceInfo';
import { DownloadSpeedInfo } from '../../types/DownloadSpeedInfo';
import { SegmentInfo } from '../../types/SegmentInfo';
import { AdModuleAPI } from './ads/AdModuleAPI';
import { DeferredLicenseLoadingAdapterAPI } from './DeferredLicenseLoadingAdapterAPI';
export interface InternalAdapterAPI extends DeferredLicenseLoadingAdapterAPI {
    readonly drmPerformanceInfo: DrmPerformanceInfo;
    readonly downloadSpeedInfo: DownloadSpeedInfo;
    readonly segments: SegmentInfo[];
    readonly stateMachineCallbacks: StateMachineCallbacks;
    readonly adModule?: AdModuleAPI;
    getPlayerVersion(): string;
    getPlayerName(): string;
    getPlayerTech(): string;
    getAutoPlay(): boolean;
    initialize(): void;
    getCurrentPlaybackInfo(): PlaybackInfo;
    sourceChange(config: any, timestamp: number): any;
    clearValues(): void;
    onError?(): void;
}
