import { AnalyticsStateMachineOptions } from '../types/AnalyticsStateMachineOptions';
import { StateMachineCallbacks } from '../types/StateMachineCallbacks';
export declare abstract class AnalyticsStateMachine {
    protected stateMachineCallbacks: StateMachineCallbacks;
    protected stateMachine: StateMachine.StateMachine & {
        [key: string]: any;
    };
    protected onEnterStateTimestamp: number;
    private rebufferingHeartbeatIntervalHandle?;
    private currentRebufferingIntervalIndex;
    constructor(stateMachineCallbacks: StateMachineCallbacks, opts: AnalyticsStateMachineOptions);
    abstract createStateMachine(opts: AnalyticsStateMachineOptions): StateMachine.StateMachine;
    abstract callEvent(eventType: string, eventObject: any, timestamp: number): void;
    abstract sourceChange(config: any, timestamp: number, currentTime?: number): void;
    abstract updateMetadata(metadata?: any): void;
    protected startRebufferingHeartbeatInterval(reset?: boolean): void;
    protected clearRebufferingHeartbeatInterval(reset?: boolean): void;
}
