import * as StateMachine from 'javascript-state-machine';
import { AnalyticsStateMachineOptions } from '../types/AnalyticsStateMachineOptions';
import { StateMachineCallbacks } from '../types/StateMachineCallbacks';
import { AnalyticsStateMachine } from './AnalyticsStateMachine';
export declare class VideojsAnalyticsStateMachine extends AnalyticsStateMachine {
    private seekTimestamp;
    private seekedTimestamp;
    private seekedTimeout;
    private videoStartTimeout?;
    constructor(stateMachineCallbacks: StateMachineCallbacks, opts: AnalyticsStateMachineOptions);
    getAllStates(): any[];
    getAllStatesBut(state: string): any[];
    createStateMachine(opts: AnalyticsStateMachineOptions): StateMachine.StateMachine;
    callEvent(eventType: string, eventObject: any, timestamp: number): void;
    updateMetadata(): void;
    sourceChange: (config: any, timestamp: number, currentTime?: number | undefined) => void;
    private getReasonForVideoStartFailure;
    private setVideoStartTimeout;
    private clearVideoStartTimeout;
}
