import { Player } from '../enums/Player';
import { CdnProvider } from '../enums/CDNProvider';
import { VERSION } from '../Version';
import { HlsAdapter } from '../adapters/HlsAdapter';
import { Bitmovin8Adapter } from '../adapters/Bitmovin8Adapter';
import { Bitmovin7Adapter } from '../adapters/Bitmovin7Adapter';
import { VideojsAdapter } from '../adapters/VideoJsAdapter';
import { ShakaAdapter } from '../adapters/ShakaAdapter';
import { DashjsAdapter } from '../adapters/DashjsAdapter';
import { HTMLVideoElementAdapter } from '../adapters/HTMLVideoElementAdapter';
declare const AnalyticsModule: {
    name: string;
    module: {
        Analytics: typeof Bitmovin8Adapter;
    };
    hooks: {
        setup: (module: any, player: any) => Promise<any>;
    };
};
export { Player as Players };
export { CdnProvider as CdnProviders };
export { AnalyticsModule as PlayerModule };
export { VERSION as version };
export { HlsAdapter };
export { Bitmovin8Adapter };
export { Bitmovin7Adapter };
export { VideojsAdapter };
export { ShakaAdapter };
export { DashjsAdapter };
export { HTMLVideoElementAdapter };
declare const adapters: {
    HlsAdapter: typeof HlsAdapter;
    Bitmovin8Adapter: typeof Bitmovin8Adapter;
    Bitmovin7Adapter: typeof Bitmovin7Adapter;
    VideojsAdapter: typeof VideojsAdapter;
    ShakaAdapter: typeof ShakaAdapter;
    DashjsAdapter: typeof DashjsAdapter;
    HTMLVideoElementAdapter: typeof HTMLVideoElementAdapter;
};
export { adapters };
declare const _default: {
    PlayerModule: {
        name: string;
        module: {
            Analytics: typeof Bitmovin8Adapter;
        };
        hooks: {
            setup: (module: any, player: any) => Promise<any>;
        };
    };
};
export default _default;
