import { AnalyticsConfig } from './AnalyticsConfig';
import { VideoStartFailedEvent } from './VideoStartFailedEvent';
import { Sample } from './Sample';
export interface StateMachineCallbacks {
    setup: (time: number, state: string, event: string) => void;
    startup: (time: number, state: string) => void;
    updateSample: () => void;
    playing: (time: number, state: string, event: string) => void;
    heartbeat: (duration: number, state: string, payload: Pick<Sample, 'played'> | Pick<Sample, 'buffered'>) => void;
    qualitychange: (time: number, state: string) => void;
    qualitychange_pause: (time: number, state: string) => void;
    qualitychange_rebuffering: (time: number, state: string) => void;
    videoChange: (event: string) => void;
    audioChange: (event: any) => void;
    audiotrack_changing: () => void;
    pause: (time: number, state: string, event: string) => void;
    paused_seeking: (time: number, state: string, event: string) => void;
    end_play_seeking: (time: number, state: string, event: string) => void;
    rebuffering: (time: number, state: string, event: string) => void;
    error: (event: any) => void;
    end: (time: number, state: string, event: string) => void;
    unload: (time: number, state: string, event: string) => void;
    ad: (time: number, state: string, event: string) => void;
    mute: () => void;
    unMute: () => void;
    subtitle_changing: () => void;
    setVideoTimeEndFromEvent: (event: any) => void;
    setVideoTimeStartFromEvent: (event: any) => void;
    videoStartFailed: (event: VideoStartFailedEvent, sendRequest: boolean) => void;
    source_changing: (time: number, state: string, event: any) => void;
    ready: (time: number, state: string, event: any) => void;
    startCasting: (time: number, event: any) => void;
    manualSourceChange: (event: {
        config: AnalyticsConfig;
    }) => void;
    initialSourceChange: (event: {
        config: AnalyticsConfig;
    }) => void;
    muting_ready: (time: number, state: string, event: any) => void;
}
